Skip to content
💡 Want to test this API interactively? Open API Playground ↗

Product Listing and Delisting ​

Batch update the listing status of products (on-sale or off-shelf).

Basic Information ​

PropertyValue
MethodPUT
Path/seller/product-spu/switch
AuthenticationBearer Token
Content-Typeapplication/json

Request Headers ​

HeaderTypeRequiredDescription
AuthorizationstringYesBearer <accessToken>

Request Body Parameters ​

ParameterTypeRequiredDescription
productSpuIdsarray[integer]YesCollection of product SPU IDs
productStatusstringYesTarget status: ON_SALE or SHELF_DOWN

Allowed productStatus values:

ValueDescription
ON_SALEOn sale
SHELF_DOWNOff shelf

Request Example ​

http
PUT /merchant-api/seller/product-spu/switch HTTP/1.1
Host: paas-gateway.imetastore.io
Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...
Content-Type: application/json

{
  "productSpuIds": [2001591587541073922, 2001591587541073923],
  "productStatus": "ON_SALE"
}

Success Response ​

json
{
  "code": "0000",
  "msg": "Success",
  "time": "2025-12-17T13:44:16.000Z",
  "data": true
}

All game copyrights, trademarks, and service marks belong to their respective owners.